Subject: RE: bug#4117: 23.1; isearch + isearch-allow-scroll loses shift

From: Drew Adams <[email-masked]>
Date: Sun, 19 Jun 2016 07:36:11 -0700 (PDT)

> > I've tested this out on emacs 25 as well, and it still is an issue.
> 
> For what it's worth, it works fine for me with the emacs-25 branch in
> X-Windows (more precisely, XFCE).

It works for me on MS Windows also, using an old Emacs 25 build.
Following Alan's recipe gives the behavior he describes:

> I have `isearch-allow-scroll' set to t, and I search for a word in
> Isearch, which is found.  I then type C-S-right just once, and the next
> word after what had been the highlighted search region gets highlighted
> for me (in grey).  The Isearch operation is now terminated.